Loading...
Searching...
No Matches
seqan3::align_cfg::output_end_position Class Reference
Sequence Alignment » Configuration

Configures the alignment result to output the end position. More...

`#include <seqan3/alignment/configuration/align_config_output.hpp>`

Inheritance diagram for seqan3::align_cfg::output_end_position:
[legend]

## Public Member Functions

Constructor, destructor and assignment
constexpr | output_end_position ()=default
| Defaulted.
constexpr | output_end_position (output_end_position const &)=default
| Defaulted.
constexpr | output_end_position (output_end_position &&)=default
| Defaulted.
constexpr output_end_position & | operator= (output_end_position const &)=default
| Defaulted.
constexpr output_end_position & | operator= (output_end_position &&)=default
| Defaulted.
| ~output_end_position ()=default
| Defaulted.

## Detailed Description

Configures the alignment result to output the end position.

This option forces the alignment to compute and output the end positions of the aligned sequences. The end positions must not be identical to the end of the original source sequences. For example, the optimal local alignment might only represent a slice of the original sequences. The end positions denote the end of the alignment within the original sequences, i.e. the positions behind the last aligned characters.

If this option is not set in the alignment configuration, then accessing the end positions via the seqan3::alignment_result object is forbidden and will lead to a compile time error.

### Example

// SPDX-FileCopyrightText: 2006-2025 Knut Reinert & Freie Universität Berlin
// SPDX-FileCopyrightText: 2016-2025 Knut Reinert & MPI für molekulare Genetik
// SPDX-License-Identifier: CC0-1.0
#include <seqan3/alignment/configuration/align_config_output.hpp>
int main()
{
// Compute only the end position of the aligned sequences.
seqan3::configuration cfg = seqan3::align_cfg::output_end_position{};
}
align_config_output.hpp
Provides configuration for alignment output.
seqan3::align_cfg::output_end_position
Configures the alignment result to output the end position.
Definition align_config_output.hpp:84
seqan3::configuration
Collection of elements to configure an algorithm.
Definition configuration.hpp:42

See also
  seqan3::align_cfg::output_score
  seqan3::align_cfg::output_begin_position
  seqan3::align_cfg::output_alignment
  seqan3::align_cfg::output_sequence1_id
  seqan3::align_cfg::output_sequence2_id

The documentation for this class was generated from the following file:

- align_config_output.hpp

Hide me